﻿using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WPFDisplayASimpleMap.ViewModel
{
    public class MapViewModel
    {
        private WpfMap tgMap;

        public MapViewModel()
        {
            TGMap = new WpfMap();
            TGMap.Loaded += TGMap_Loaded;
        }

        public WpfMap TGMap
        {
            get { return tgMap; }
            set { tgMap = value; }
        }

        private void TGMap_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            TGMap.MapUnit = GeographyUnit.DecimalDegree;
            TGMap.CurrentExtent = new RectangleShape(-155.733, 95.60, 104.42, -81.9);
            WorldMapKitWmsWpfOverlay worldOverlay = new WorldMapKitWmsWpfOverlay();
            TGMap.Overlays.Add("WMK", worldOverlay);
        }
    }
}